<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ufn" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>17-Mar-2003</pubdate>
  </info>

  <refnamediv>
    <refname>ufn</refname>

    <refpurpose>unconstrained tool, function evaluation.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>F = ufn(X)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>X</term>

        <listitem>
          <para>real vector, variables of the problem</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>F</term>

        <listitem>
          <para>objective function evaluated at X</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>ufn evaluates the objective function of the problem decoded into
    OUTSDIF.d at the point X, in the case where the only possible constraints
    are bound constraints.</para>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="uofg"> uofg</link></member>

      <member><link linkend="ugr"> ugr</link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example">
sifdecode(get_sif_path()+'sif/AKIVA.SIF',TMPDIR+'/AKIVA')
buildprob(TMPDIR+'/AKIVA')
[X,BL,BU] = usetup(TMPDIR+'/AKIVA/OUTSDIF.d');

x = linspace(-1,0.1,30);y=linspace(-2,2,50);
function z=f(x,y),z=ufn([x;y]),endfunction

clf();
plot3d(x,y,feval(x,y,f)/100,theta=92,alpha=37)

unlink('siftools') //remove problem out of Scilab

  </programlisting>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Bruno Durand, INRIA</member>

      <member>Serge Steer, INRIA</member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Bibliography</title>

    <para>Based on CUTEr authored by</para>

    <para>Nicholas I.M. Gould - n.gould@rl.ac.uk - RAL</para>

    <para>Dominique Orban - orban@ece.northwestern.edu - Northwestern</para>

    <para>Philippe L. Toint - Philippe.Toint@fundp.ac.be - FUNDP</para>

    <para>see http://hsl.rl.ac.uk/cuter-www</para>
  </refsection>
</refentry>